OneNewLife translating.

7 Mistakes New Linux Users Make
===================

Changing operating systems is a big step for anybody -- all the more so because many users are uncertain about exactly what an operating system is.

However, switching from Windows to Linux is especially hard. The two operating systems have different assumptions and priorities, as well as different ways of doing things. As a result, it is easy for new Linux users to wind up confused because the expectations they have developed using Windows no longer apply.

For instance, here, in no particular order, are seven mistakes that refugees from Windows can fall into when they start to use Linux:

### 7\. Choosing the Wrong Linux Distribution

Linux comes in several hundred different versions, or distributions as they are called. Many of these are specialized and intended for different versions or users. Choose the wrong one, and your first hands- on encounter with Linux can quickly become a nightmare.

If you are switching with the help of a friend, make sure that their recommendation is suitable for you, not them. Dozens of articles are available to help you, but if you stay with the top twenty or so on the[Distrowatch][46] listings, you are unlikely to go wrong.

Better yet, try a [Live DVD][45] of a distribution before installing it. A Live DVD runs the distribution from an external device, allowing you to test it without making any changes to your hard drive. In fact, unless you know how to make drives accessible under Linux, you won't even be able to see your hard drive.

### 6\. Expecting Everything to Be the Same

Because of limited experience, many Windows users do not understand that a new operating system means new programs and new ways of doing things. No, your Windows programs will not run on Linux unless you use [WINE][44] or have a virtual Windows machine. You can't run MS Office or PhotoShop either -- you'll have to learn LibreOffice and Krita instead. These days, the applications will probably have the same features as similar ones on Windows, but their features may have different names and may be available from different menus or toolbars.

Even the assumptions are different. Windows users are especially likely to be taken aback by the idea that they more than one desktop environment to choose from -- at least seven main ones, and several dozen minor ones.

### 5\. Puzzling About How to Install Software

In Windows, new software is installed as a completely separate program. Often, it include all the libraries and other dependencies it requires.

Two services called [Flatpak][43] and[Snap][42] are currently introducing a similar installation system on Linux, but they are largely for mobile and embedded devices. More often, Linux depends on a package management system in which programs install only the software that is absolutely necessary, relying on what is already installed to supply anything else that is needed.

Package management is essentially the workstation and laptop equivalent of Google Play on a phone or tablet: it is quick, and requires no physical media for installation. However, it can also save 20-35% of hard drive space because dependencies are not duplicated.

### 4\. Assuming Software Updates Will Be Done For You

Linux users value control. It provides services, but by default they have to be run manually. For example, most distributions will let you know that updated software is available, but you will have to choose to install the updates.

If you choose, you can even decide on each update separately. You may, for example, not want to run a new kernel because something in your installation requires keeping the existing one. Or perhaps you want to run all the security updates, but not the routine new releases. The choice is yours.

### 3\. Ignoring Passwords

Many Windows users ignore passwords because logging in is inconvenient. At least as many routinely run an administrative account for convenience.

Neither practice is easy on Linux. Many distributions, especially those based on Ubuntu, use [sudo][41], to prevent running as root, and most others are installed so that root cannot be run with a graphical interface. However, if you do succeed in setting up either of these practices on Linux, be aware that you are nullifying most of Linux's security advantages (and that neither is recommended for Windows, either)

Oh, and the option for automatic logins you might see on an install program? Those are intended for unusual circumstances like virtual machines that contain no private information.

### 2\. Worrying About Defragmentation and Anti-Virus Software

Linux does occasionally need defragmentation, but only when a partition is being recovered or is nearly full. And, of course, as solid state hard drives become increasingly popular, defragmentation is becoming a concern of the past, although solid state drives do require a regular running of [trim][40] on any operating system.

Similarly, anti-virus software is a major concern only when your Linux installation is regularly passing on files to Windows machines. Very few Linux viruses or malware exist, and running a non-root account for everyday purposes, using strong passwords, and keeping a current backup should be enough to thwart them.

### 1\. Imagining Yourself Locked in to Software

Software costs on Windows, and most categories are monopolized by one company -- for example, MS Office for office suites, and Adobe for graphics and design. These conditions encourage users to stick with the same applications, no matter what their faults.

On Linux, the story is different. Only a few high end programs cost, and almost every category of software has two or three alternatives, all available as downloads in ten minutes or less. If one alternative doesn't suit you, you can delete it and install another one with no greater effort. On Linux, you almost always have a choice.

### Transition Time

Probably no amount of advice can completely prepare Windows users for Linux. Even saying that new users should keep an open mind is only limited use, because expectations run so deep that many users are unaware that they even have them.

The best that new Linux users can do is expect to make mental adjustments, and to take some time getting used to them. The transition will take some effort, but, in the long run, it should repay the effort of making the switch many times over.

--------------------------------------------------------------------------------

via: http://www.datamation.com/open-source/7-mistakes-new-linux-users-make.html

作者：[Bruce Byfield][a]

译者：[译者ID](https://github.com/译者ID)

校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: http://www.datamation.com/author/Bruce-Byfield-6030.html
[1]:[https://www.youtube.com/channel/UCOfXyFkINXf_e9XNosTJZDw]
[2]:[https://www.youtube.com/user/desainew]
[3]:[https://www.youtube.com/channel/UCEQXp_fcqwPcqrzNtWJ1w9w]
[4]:[http://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Ffreedompenguin.com%2Farticles%2Fopinion%2Fopen-source-design-thing%2F]
[5]:[http://twitter.com/intent/tweet/?text=Is+Open+Source+Design+a+Thing%3F&url=https%3A%2F%2Ffreedompenguin.com%2Farticles%2Fopinion%2Fopen-source-design-thing%2F]
[6]:[https://plus.google.com/share?url=https%3A%2F%2Ffreedompenguin.com%2Farticles%2Fopinion%2Fopen-source-design-thing%2F]
[7]:[https://atom.io/]
[8]:[http://froont.com/]
[9]:[https://webflow.com/]
[10]:[https://gravit.io/]
[11]:[http://getbootstrap.com/]
[12]:[https://inkscape.org/en/]
[13]:[https://www.gimp.org/]
[14]:[https://en.wikipedia.org/wiki/Free_and_open-source_software]
[15]:[https://medium.com/dawn-capital/why-leverage-the-power-of-open-source-to-build-a-successful-software-business-8aba6f665bc4#.ggmn2ojxp]
[16]:[https://github.com/majutsushi/tagbar]
[17]:[http://ctags.sourceforge.net/]
[18]:[https://github.com/majutsushi/tagbar/zipball/70fix]
[19]:[https://raw.githubusercontent.com/tpope/vim-pathogen/master/autoload/pathogen.vim]
[20]:[http://www.vim.org/scripts/script.php?script_id=2332]
[21]:[https://www.howtoforge.com/tutorial/vim-editor-plugins-for-software-developers-2-syntastic/]
[22]:[https://www.howtoforge.com/images/vim-editor-plugins-for-software-developers/big/vimplugins-delimitmate-help.png]
[23]:[https://github.com/Raimondi/delimitMate]
[24]:[https://www.howtoforge.com/images/vim-editor-plugins-for-software-developers/big/vimplugins-tagbar-visibility.png]
[25]:[https://www.howtoforge.com/images/vim-editor-plugins-for-software-developers/big/vimplugins-tagbar-ex2.png]
[26]:[https://www.howtoforge.com/images/vim-editor-plugins-for-software-developers/big/vimplugins-tagbar-example.png]
[27]:[http://www.tldp.org/LDP/intro-linux/html/sect_06_02.html]
[28]:[http://majutsushi.github.io/tagbar/]
[29]:[http://vi.stackexchange.com/questions/388/what-is-the-difference-between-the-vim-plugin-managers]
[30]:[https://www.howtoforge.com/images/vim-editor-plugins-for-software-developers/big/vimplugins-vimrc.png]
[31]:[http://www.vim.org/]
[32]:[https://github.com/scrooloose/syntastic]
[33]:[https://github.com/scrooloose/syntastic/blob/master/doc/syntastic.txt]
[34]:[https://www.howtoforge.com/images/3337/big/syntastic-error-all-descr.png]
[35]:[https://www.howtoforge.com/images/3337/big/syntastic-error-descr.png]
[36]:[https://www.howtoforge.com/images/3337/big/syntastic-error-highlight.png]
[37]:[https://github.com/scrooloose/syntastic]
[38]:[http://www.vim.org/]
[39]:[https://www.howtoforge.com/tutorial/vim-editor-plugins-for-software-developers/]
[40]:[https://en.wikipedia.org/wiki/Trim_%28computing%29]
[41]:[https://en.wikipedia.org/wiki/Sudo]
[42]:[http://snapcraft.io/]
[43]:[http://flatpak.org/]
[44]:[https://en.wikipedia.org/wiki/Wine_%28software%29]
[45]:[https://en.wikipedia.org/wiki/Live_CD]
[46]:[http://distrowatch.com/]
